Get Forms Submissions
GET https://services.leadconnectorhq.com/forms/submissions
Authorization
Query parameters
Responses
200 - Successful response
submissions (object[])
id (string): Example: 38303ec7-629a-49e2-888a-cf8bf0b1f97e
contactId (string): Example: DWQ45t2IPVxi9LDu1wBl
createdAt (string): Example: 2021-06-23T06:07:04.000Z
formId (string): Example: YSWdvS4Is98wtIDGnpmI
name (string): Example: test
email (string): Example: test@test.com
others (object)
__submissions_other_field__ (string): Example: john@deo.com
__custom_field_id__ (string): Example: 20
eventData (object)
fbc (string): Example: fb.1.123456789.987654321
fbp (string): Example: fbp.1.987654321.123456789
page (object)
url (string): Example: https://example.com
title (string): Example: Example Page
type (string): Example: page-visit
domain (string): Example: example.com
medium (string): Example: form
source (string): Example: Direct traffic
version (string): Example: v3
adSource (string): Example: example-ad-source
mediumId (string): Example: medium-id-123
parentId (string): Example: parent-id-456
referrer (string): Example: https://app.leadwaycrm.com
fbEventId (string): Example: event-id-789
timestamp (number): Example: 1234567890
parentName (string): Example: Parent Form
fingerprint (string): Example: example-fingerprint
pageVisitType (string): Example: form
contactSessionIds (object)
fieldsOriSequance (string[])
meta (object)
total (number): Example: 1
currentPage (number): Example: 1
{
"submissions": [
{
"id": "38303ec7-629a-49e2-888a-cf8bf0b1f97e",
"contactId": "DWQ45t2IPVxi9LDu1wBl",
"createdAt": "2021-06-23T06:07:04.000Z",
"formId": "YSWdvS4Is98wtIDGnpmI",
"name": "test",
"email": "test@test.com",
"others": {
"__submissions_other_field__": "john@deo.com",
"__custom_field_id__": "20",
"eventData": {},
"fieldsOriSequance": [
"full_name",
"first_name",
"last_name",
"phone",
"email"
]
}
}
],
"meta": {
"total": 1,
"currentPage": 1
}
}
400 - Bad Request
401 - Unauthorized
422 - Unprocessable Entity
Example
curl -X GET 'https://services.leadconnectorhq.com/forms/submissions' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/forms/submissions', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/forms/submissions',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/forms/submissions');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);